<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>cs-pre-req</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="prerequisites-of-computer-programming">Prerequisites of Computer Programming</h1>
<p><a href="https://hits.seeyoufarm.com"><img src="https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fxdvrx1%2Fprerequisites-of-computer-programming&amp;count_bg=%2379C83D&amp;title_bg=%23555555&amp;icon=&amp;icon_color=%23E7E7E7&amp;title=PAGE+VIEWS&amp;edge_flat=false" alt="Hits" /></a></p>
<ul>
<li><p>History of Computer Programming Languages</p>
<p><a href="https://cs.brown.edu/~adf/programming_languages.html" class="uri">https://cs.brown.edu/~adf/programming_languages.html</a></p></li>
<li><p>Hardware &amp; Software</p>
<p><a href="https://www.computerhope.com/issues/ch000039.htm" class="uri">https://www.computerhope.com/issues/ch000039.htm</a></p></li>
<li><p>Low-Level Languages</p>
<p><a href="https://www.computerhope.com/jargon/l/lowlangu.htm" class="uri">https://www.computerhope.com/jargon/l/lowlangu.htm</a></p></li>
<li>High-Level Languages
<ul>
<li><p>Compiled &amp; Interpreted Languages (or both)</p>
<p><a href="https://guide.freecodecamp.org/computer-science/compiled-versus-interpreted-languages/" class="uri">https://guide.freecodecamp.org/computer-science/compiled-versus-interpreted-languages/</a></p></li>
</ul></li>
<li><p>Assembler and Compiler</p>
<p><a href="https://techdifferences.com/difference-between-compiler-and-assembler.html" class="uri">https://techdifferences.com/difference-between-compiler-and-assembler.html</a></p></li>
<li><p>Programming Paradigms</p>
<p><a href="https://cs.lmu.edu/~ray/notes/paradigms/" class="uri">https://cs.lmu.edu/~ray/notes/paradigms/</a></p>
<ul>
<li><p>Structured Programming vs. Object-Oriented Programming</p>
<p><a href="https://freefeast.info/difference-between/difference-between-structured-programming-and-object-oriented-programming-structured-programming-vs-object-oriented-programming/" class="uri">https://freefeast.info/difference-between/difference-between-structured-programming-and-object-oriented-programming-structured-programming-vs-object-oriented-programming/</a></p></li>
</ul></li>
<li><p>System Software and Application Software</p>
<p><a href="https://www.thecrazyprogrammer.com/2016/04/difference-system-software-application-software.html" class="uri">https://www.thecrazyprogrammer.com/2016/04/difference-system-software-application-software.html</a></p></li>
<li><p>Operating Systems</p>
<p><a href="https://www.techopedia.com/definition/3515/operating-system-os" class="uri">https://www.techopedia.com/definition/3515/operating-system-os</a></p></li>
<li><p>Data Types</p>
<p><a href="https://searchapparchitecture.techtarget.com/definition/data-type" class="uri">https://searchapparchitecture.techtarget.com/definition/data-type</a></p></li>
<li><p>Data Structures</p>
<p><a href="https://www.freecodecamp.org/news/the-top-data-structures-you-should-know-for-your-next-coding-interview-36af0831f5e3/" class="uri">https://www.freecodecamp.org/news/the-top-data-structures-you-should-know-for-your-next-coding-interview-36af0831f5e3/</a></p></li>
<li><p>Syntax in Programming</p>
<p><a href="https://www.webopedia.com/TERM/S/syntax.html" class="uri">https://www.webopedia.com/TERM/S/syntax.html</a></p></li>
<li>Program Flow
<ul>
<li>Processing
<ul>
<li><p>Algorithm</p>
<p><a href="https://www.techopedia.com/definition/3739/algorithm" class="uri">https://www.techopedia.com/definition/3739/algorithm</a></p></li>
<li><p>Pseudocode</p>
<p><a href="https://computersciencewiki.org/index.php/Pseudocode" class="uri">https://computersciencewiki.org/index.php/Pseudocode</a></p></li>
<li><p>Flowchart</p>
<p><a href="https://www.visual-paradigm.com/tutorials/flowchart-tutorial/" class="uri">https://www.visual-paradigm.com/tutorials/flowchart-tutorial/</a></p></li>
</ul></li>
<li><p>Conditionals</p>
<p><a href="https://computersciencewiki.org/index.php/Conditionals" class="uri">https://computersciencewiki.org/index.php/Conditionals</a></p></li>
<li><p>Loops</p>
<p><a href="https://users.cs.fiu.edu/~downeyt/cop2210/loops.html" class="uri">https://users.cs.fiu.edu/~downeyt/cop2210/loops.html</a></p></li>
</ul></li>
<li><p>Memory &amp; Storage</p>
<p><a href="https://www.kingston.com/en/community/articledetail/articleid/29685" class="uri">https://www.kingston.com/en/community/articledetail/articleid/29685</a></p></li>
</ul>
</body>
</html>
